commit 4ce89b51782ae8b86ee00175c5abdeec07cc4e4c
Author: Paul Davis <paul@linuxaudiosystems.com>
Date:   Thu Feb 21 14:53:49 2013 +0000

    fix const-correctness for current lilv
    
    git-svn-id: svn://localhost/ardour2/branches/2.0-ongoing@14072 d708f5d6-7413-0410-9779-e7cbd77b26cf

diff --git a/libs/ardour/ardour/lv2_plugin.h b/libs/ardour/ardour/lv2_plugin.h
index eacefa4..595dcc1 100644
--- a/libs/ardour/ardour/lv2_plugin.h
+++ b/libs/ardour/ardour/lv2_plugin.h
@@ -154,7 +154,7 @@ class LV2Plugin : public ARDOUR::Plugin
 	/** Find the LV2 input port with the given designation.
 	 * If found, bufptrs[port_index] will be set to bufptr.
 	 */
-	LilvPort* designated_input (const char* uri, void** bufptrs[], void** bufptr);
+        const LilvPort* designated_input (const char* uri, void** bufptrs[], void** bufptr);
 };
 
 
diff --git a/libs/ardour/lv2_plugin.cc b/libs/ardour/lv2_plugin.cc
index 4a1719d..6d21091 100644
--- a/libs/ardour/lv2_plugin.cc
+++ b/libs/ardour/lv2_plugin.cc
@@ -644,10 +644,10 @@ LV2Plugin::latency_compute_run ()
 	deactivate ();
 }
 
-LilvPort*
+const LilvPort*
 LV2Plugin::designated_input (const char* uri, void** bufptrs[], void** bufptr)
 {
-	LilvPort* port = NULL;
+	const LilvPort* port = NULL;
 #ifdef HAVE_NEW_LILV
 	LilvNode* designation = lilv_new_uri(_world.world, uri);
 	port = lilv_plugin_get_port_by_designation(
